Skip to Content
SeyloDocs
API referenceSign-in and account

Sign in with email and password

POST
/api/v1/auth.login

Checks the email and password. Without 2FA it starts a session (HttpOnly cookie). With 2FA it returns status secondFactor and a ticket for auth.verifySecondFactor.

Needs no sign-in. Not available to MCP clients or the assistant.

Request Body

application/json
  1. body
email*string
Formatemail
Lengthlength <= 254
password*string
Length1 <= length <= 1024

Response Body

Success.

application/json
  1. response
status*string|string
viewer*
challenge?
Example Request
curl -X POST 'https://example.com/api/v1/auth.login' \  -H 'Content-Type: application/json' \  -d '{  "email": "[email protected]",  "password": "string"}'
Example Response
{  "status": "signedIn",  "viewer": {    "id": "string",    "email": "[email protected]",    "name": "string",    "role": "owner"  },  "challenge": {    "ticket": "string",    "methods": [      "totp"    ],    "expiresAt": "2019-08-24T14:15:22Z"  }}